Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Ret_Var_Size_Argument_T< S, S_var > Class Template Reference

Template class for return stub value of fixed size IDL types. More...

`#include <Var_Size_Argument_T.h>`

Inheritance diagram for TAO::Ret_Var_Size_Argument_T< S, S_var >:

[legend]
Collaboration diagram for TAO::Ret_Var_Size_Argument_T< S, S_var >:

[legend]
List of all members.

## Public Methods
| Ret_Var_Size_Argument_T (void)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
virtual void | interceptor_result (CORBA::Any *)
S *& | arg (void)
S * | excp (void)
S * | retn (void)
## Protected Attributes
S_var | x_

## Detailed Description

### template<typename S, typename S_var>
class TAO::Ret_Var_Size_Argument_T< S, S_var >

Template class for return stub value of fixed size IDL types.

## Constructor & Destructor Documentation

template<typename S, typename S_var>
ACE_INLINE TAO::Ret_Var_Size_Argument_T< S, S_var >::Ret_Var_Size_Argument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S, typename S_var>
ACE_INLINE S *& TAO::Ret_Var_Size_Argument_T< S, S_var >::arg | ( | void |  | ) |

template<typename S, typename S_var>
CORBA::Boolean TAO::Ret_Var_Size_Argument_T< S, S_var >::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename S_var>
ACE_INLINE S * TAO::Ret_Var_Size_Argument_T< S, S_var >::excp | ( | void |  | ) |

template<typename S, typename S_var>
void TAO::Ret_Var_Size_Argument_T< S, S_var >::interceptor_result | ( | CORBA::Any * |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename S_var>
ACE_INLINE S * TAO::Ret_Var_Size_Argument_T< S, S_var >::retn | ( | void |  | ) |

## Member Data Documentation

template<typename S, typename S_var>
S_var TAO::Ret_Var_Size_Argument_T< S, S_var >::x_`[protected]`

The documentation for this class was generated from the following files:

- Var_Size_Argument_T.h
- Var_Size_Argument_T.cpp
- Var_Size_Argument_T.inl